axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steven E. Harris (JIRA)" <j...@apache.org>
Subject [jira] Commented: (AXIS2-2463) WSDL 2 bindings to SOAP 1.2 over HTTP should cause ServiceClient to use SOAP 1.2 by default
Date Thu, 05 Apr 2007 14:56:32 GMT

    [ https://issues.apache.org/jira/browse/AXIS2-2463?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12486993
] 

Steven E. Harris commented on AXIS2-2463:
-----------------------------------------

I was going to argue with you again, but then I just looked again at the stub I generated
yesterday afternoon. There, in the constructor, I see this code:

            //Set the soap version
_serviceClient.getOptions().setSoapVersionURI(org.apache.axiom.soap.SOAP12Constants.SOAP_ENVELOPE_NAMESPACE_URI);

Maybe I'm going crazy, but I could have sworn that there was no such call in my generated
stubs as of when I originally filed this report. Did something change here?

In any case, it looks like my request has already been satisfied: the generated stub does
set the proper SOAP version on my behalf.

Thanks for your patience.

> WSDL 2 bindings to SOAP 1.2 over HTTP should cause ServiceClient to use SOAP 1.2 by default
> -------------------------------------------------------------------------------------------
>
>                 Key: AXIS2-2463
>                 URL: https://issues.apache.org/jira/browse/AXIS2-2463
>             Project: Axis 2.0 (Axis2)
>          Issue Type: Bug
>          Components: wsdl
>    Affects Versions: nightly
>         Environment: N/A
>            Reporter: Steven E. Harris
>         Assigned To: Keith Godwin Chapman
>            Priority: Minor
>
> Per the discussion at
>   Getting client stub to use SOAP version 1.2
>   http://thread.gmane.org/gmane.comp.apache.webservices.axis.user/54837
> when a WSDL 2.0 file specifies a binding to SOAP 1.2 over HTTP with the attribute
>   wsoap:protocol="http://www.w3.org/2003/05/soap/bindings/HTTP"
> the AXIS2 WSDL2Java program (or whatever else is involved) should force the generate
stub's ServiceClient to use SOAP 1.2 by default, rather than SOAP 1.1 as it does now.
> The workaround at present is to call
>   stub._getServiceClient().getOptions().
>                   setSoapVersionURI( org.apache.axiom.soap.SOAP12Constants.SOAP_ENVELOPE_NAMESPACE_URI
);
> but that step should not be necessary.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: axis-dev-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-dev-help@ws.apache.org


Mime
View raw message